Kerbal Space Program - Bug #6738

Flag name starting with "("" causes artifacts in Space Center menu
01/19/2016 08:01 PM - Kasuha

Status: Confirmed Start date: 01/19/2016
Severity: Normal % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Original report by /u/Wheels2050 on Reddit:
https://www.reddit.com/r/KerbalSpaceProgram/comments/41c90s/debris_bug_at_ksc_any_solutions/

After placing a flag near North pole and giving it name "(Almost) The North Pole!", strange piece of debris appeared in Space Center
menu, see attached screenshots and Flag.sfs for verification.

Simple from scratch reproduction steps:

e deploy a pod with a Kerbal on launchpad

¢ put the Kerbal on EVA and plant a Flag

¢ give the flag name starting with "(", e.g. "(Test)"

¢ return the Kerbal to the pod and recover the pod

¢ notice the artefact appearing on launchpad

¢ notice the artefact does not follow motion of launchpad when moving the camera

It is possible to switch the effect on and off from Tracking Station by renaming the flag.
Using priority Normal as the issue is triggered by what appears to be a completely valid name for a flag, it reduces functionality

(impossible to launch by clicking on runway/launchpad, the execution does not get past the ship selection) and cause may get very
tricky to figure out (as after planting the flag the player may continue to play for a while before returning to Space Center).

History

#1 - 07/17/2016 09:43 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/19/2016 02:08 AM - Perry_Apsis
- File screenshot1.png added

Reproduced successfully in clean 1.1.3 install following the steps above. Flag appears as debris with a... what are we calling those, map pins? Points
of interest? Whatever.

In the KSC view, the pin seemed to follow the camera normally. But if | go to the Tracking Center, select the flag and "fly", then the pin appears in the
flight screen. As Kashua noted, it is fixed with regard to the camera, so zooming and rotating the camera angle seems to move the pin around the
map.

In this screen shot I've maneuvered it next to the Mun, but | could really put it anywhere you can see.

#3 - 07/19/2016 02:12 AM - Perry_Apsis

- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

This just in: If you click the pin, neither "recover" nor "fly" work. The scene does not change.

#4 - 07/19/2016 02:22 AM - Perry_Apsis
ogodogod! It follows you into the SPH (and presumably the VAB, but haven't looked there yet.)
https://www.reddit.com/r/KerbalSpaceProgram/comments/41c90s/debris_bug_at_ksc_any_solutions/

Actually, | started a new game, and it was still there. | had to quit and restart to get rid of it.

#5 - 07/19/2016 08:48 AM - TriggerAu

Thanks for all the updates, much appreciated

#6 - 07/29/2016 01:44 PM - sal_vager
- Status changed from Updated to Confirmed

Yeah it's broken things here, can't fly the craft anymore.

#7 - 10/15/2016 04:53 PM - Kasuha

Bug is still presentin 1.2

There are no visual artifacts in Space Center but a ship named "(test) ship" left on Runway caused all kinds of problems: visible as debris with no

crew in Space Center, could not recover, could not fly, invisible in tracking station.

Files

Flag.sfs 21 KB 01/19/2016 Kasuha
output_log.txt 567 KB 01/19/2016 Kasuha
KSP.log 278 KB 01/19/2016 Kasuha
screenshot10.png 1.26 MB 01/19/2016 Kasuha
screenshot11.png 518 KB 01/19/2016 Kasuha
screenshot1.png 758 KB 07/19/2016 Perry_Apsis
